get_filename_component(LIBSSH_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

if (EXISTS "${LIBSSH_CMAKE_DIR}/CMakeCache.txt")
    # In build tree
    include(${LIBSSH_CMAKE_DIR}/libssh-build-tree-settings.cmake)
else()
    set(LIBSSH_INCLUDE_DIR /usr/x86_64-w64-mingw32/include)
endif()

set(LIBSSH_LIBRARY /usr/x86_64-w64-mingw32/lib/libssh.dll)
set(LIBSSH_LIBRARIES /usr/x86_64-w64-mingw32/lib/libssh.dll)

set(LIBSSH_THREADS_LIBRARY /usr/x86_64-w64-mingw32/lib/)

mark_as_advanced(LIBSSH_LIBRARIES LIBSSH_INCLUDE_DIR)
